package com.bootdo.data.dao;


import java.util.List;
import java.util.Map;

import com.bootdo.data.domain.DataUploadDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Description: 重要数据
 * @Author: wangp
 * @Date: 2022/2/27 14:49
 */
@Mapper
public interface DataUploadDao {

	DataUploadDO get(Long id);
	
	List<DataUploadDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(DataUploadDO dataUpload);
	
	int update(DataUploadDO dataUpload);
	
	int remove(Long ID);
	
	int batchRemove(Long[] ids);
}
